Veo 3.1 (Reference-to-Video)
Setup your API Key
How to Make a Call
API Schemas
Create a video generation task and send it to the server
post
Body
modelstring · enumRequiredPossible values:
promptstringRequired
The text description of the scene, subject, or action to generate in the video.
image_urlsstring · uri[]Required
URL of the input image to animate. Should be 720p or higher resolution.
durationinteger · enumOptionalPossible values:
The length of the output video in seconds.
resolutionstring · enumOptionalDefault:
1080pPossible values: generate_audiobooleanOptionalDefault:
Whether to generate audio for the video.
trueResponses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: post
/v2/video/generations200Success
Fetch the video
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/video/generations200Success
Full Example: Generating and Retrieving the Video From the Server

Last updated
Was this helpful?